<section class="hero is-medium" id="heroCSS">
  <div class="hero-body"></div>
</section>
<nav class="navbar has-background-light" role="navigation" aria-label="main navigation">
  <div class="navbar-brand">
    <a class="navbar-item" href="#" id="navbarLogo">
    </a>
    <a (click)="toggleNavbar()" role="button" #navBurger class="navbar-burger burger" aria-label="menu"
       aria-expanded="false" data-target="navbarSport">
      <span aria-hidden="true"></span>
      <span aria-hidden="true"></span>
      <span aria-hidden="true"></span>
    </a>
  </div>
  <div id="navbarSport" class="navbar-menu" #navMenu *ngIf="sessionUser">
    <div class="navbar-start" *ngIf="sessionUser.role == Role.USER || sessionUser.role == Role.ADMIN">
      <div class="navbar-item">
        <a routerLink="/event">Events</a>
      </div>

      <div class="navbar-item">
        <a routerLink="/profile">Profile</a>
      </div>

      <div class="navbar-item">
        <a routerLink="/users">My Team</a>
      </div>

      <div class="navbar-item">
        <a routerLink="/message">Team Chat</a>
      </div>
    </div>

    <div class="navbar-end">
      <div class="navbar-item">
        <app-session-user></app-session-user>
      </div>
      <div class="navbar-item" *ngIf="sessionUser">
        <app-login></app-login>
      </div>
    </div>
  </div>
</nav>

<div *ngIf="!sessionUser">
  <app-login></app-login>
</div>

<div *ngIf="sessionUser">
  <div class="content has-text-centered" *ngIf="sessionUser.role == Role.GUEST">
    <p><br>
      Please wait until an authorized administrator confirms your identity.<br>This might take some time.<br>
      We appreciate your patience, thank you!
    </p>
  </div>
</div>

<router-outlet></router-outlet>

<img src="./assets/logo_transparent_neu.png" id="backLogo">

<footer class="footer">
  <div class="content has-text-centered">
    <p><strong>SportLife</strong> by <a href="https://gitlab.com/tobiimposta"> Tobias Steuer,</a>
      <a href="https://gitlab.com/FBaden?nav_source=navbar">Franziska Baden</a> und
      <a href="https://gitlab.com/m.von-olnhausen">Maximilian von Olnhausen</a> (2019)
    </p>
  </div>
</footer>
